> ## Documentation Index
> Fetch the complete documentation index at: https://docs-beta.layerfi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create tag dimension

> Creates a new tag dimension for the business. Tag dimensions define the structure and constraints for tags.



## OpenAPI

````yaml post /v1/businesses/{businessId}/tags/dimensions
openapi: 3.0.1
info:
  title: API
  version: latest
servers: []
security:
  - BearerAuth: []
tags: []
externalDocs:
  url: /
paths:
  /v1/businesses/{businessId}/tags/dimensions:
    post:
      tags: []
      summary: Create tag dimension
      description: >-
        Creates a new tag dimension for the business. Tag dimensions define the
        structure and constraints for tags.
      operationId: business.tags.dimensions.post
      parameters:
        - name: businessId
          in: path
          description: The UUID of the business to create tag dimension for
          required: true
          schema:
            type: string
            format: uuid
        - name: Content-Type
          in: header
          description: Content-Type must be set to application/json
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/TagDimensionCreateParams'
      responses:
        '201':
          description: Tag dimension created successfully
          headers: {}
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiTagDimension'
        '400':
          description: Invalid request parameters
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError'
        '404':
          description: Business not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError'
      deprecated: false
components:
  schemas:
    TagDimensionCreateParams:
      type: object
      properties:
        key:
          type: string
          description: The tag dimension key
        strictness:
          $ref: '#/components/schemas/TagStrictness'
        values:
          type: array
          items:
            $ref: '#/components/schemas/ApiTagValueDefinitionCreateParams'
          description: Predefined values for this tag dimension
          default: []
      required:
        - key
        - strictness
    ApiTagDimension:
      type: object
      properties:
        id:
          type: string
          format: uuid
          description: Unique identifier for the tag dimension
        key:
          type: string
          description: The tag dimension key
        strictness:
          $ref: '#/components/schemas/TagStrictness'
        display_name:
          type: string
          nullable: true
          description: Display name for the tag dimension
        defined_values:
          type: array
          items:
            $ref: '#/components/schemas/ApiTagValueDefinition'
          description: Predefined values for this tag dimension
        created_at:
          type: string
          format: date-time
        updated_at:
          type: string
          format: date-time
        deleted_at:
          type: string
          format: date-time
          nullable: true
      required:
        - id
        - key
        - strictness
        - defined_values
        - created_at
        - updated_at
    ApiError:
      type: object
      properties: {}
      example: ''
      description: ''
    TagStrictness:
      type: string
      enum:
        - BALANCING
        - NON_BALANCING
      description: >-
        Tag strictness level - BALANCING requires tags to be applied to whole
        journal entries that balance, NON_BALANCING has no such restriction and
        can therefore be applied to individual line items of entries, invoices,
        etc.
    ApiTagValueDefinitionCreateParams:
      type: object
      properties:
        value:
          type: string
          description: >-
            Label for the tag value definition. The value for each tag key-value
            pair
        is_archived:
          type: boolean
          description: Whether the tag value definition should be archived
      required:
        - value
    ApiTagValueDefinition:
      type: object
      properties:
        id:
          type: string
          format: uuid
          description: Unique identifier for the tag value definition
        key:
          type: string
          description: The tag dimension key
        value:
          type: string
          description: The tag value
        display_name:
          type: string
          nullable: true
          description: Optional display name for the tag value definition
        archived_at:
          type: string
          format: date-time
          nullable: true
          description: Timestamp when the tag value definition was archived
      required:
        - id
        - key
        - value
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````